#include "xfill.h"

void dfill_simple(int N, double *x, double value){
  for (int i = 0; i < N; i++)
    x[i] = value;
}

void dfill_double_hummer(int N, double *x, double value){

  int i,j;
  double _Complex a;
  a = __cmplx(value,value);
  
  for (i=0; i < (N-(N%16)); i += 16){
    __stfpd(&x[i],a);
    __stfpd(&x[i+2],a);
    __stfpd(&x[i+4],a);
    __stfpd(&x[i+6],a);
    __stfpd(&x[i+8],a);
    __stfpd(&x[i+10],a);
    __stfpd(&x[i+12],a);
    __stfpd(&x[i+14],a);

  } 

  for (j = i; j < N; j++)
    x[i] = value;
}





   
