#include "xsvtvp.h"


/*
 * (scalar * vector) plus vector
 */


void dsvtvp (int n, double alpha, double *x, double *y, double *z )
{
  while (n--) 
    *z++  = alpha * (*x++) + (*y++);
}

void dsvtvp_disjoint (int n, double alpha, double *x, double *y, double *z )
{
#pragma disjoint(*x, *y)
#pragma disjoint(*z, *y)
#pragma disjoint(*x, *z)   

  for (int i = 0; i < n; i++)
    z[i]  = alpha * x[i] + y[i];
}



